Widget.onPropertyChange = function (propName, newValue, oldValue) {
    var _a = Widget.props, orientation = _a.orientation, vertical_height = _a.vertical_height;
    var widgetMap = Widget.Widgets;
    var relevantProps = ["prop-vertical_height", "prop-orientation"];
    if (relevantProps.includes(propName)) {
        updateDivider(widgetMap.divider1, orientation, vertical_height);
    }
};
Widget.onReady = function () {
    var _a = Widget.props, orientation = _a.orientation, vertical_height = _a.vertical_height;
    var widgetMap = Widget.Widgets;
    updateDivider(widgetMap.divider1, orientation, vertical_height);
};
function updateDivider(divider, orientation_prop, vertical_height) {
    var orientationArray = orientation_prop.toLowerCase().split("/");
    var orientation = orientationArray[0]; // Vertical or Horizontal
    var length = orientationArray[1];
    resetAndUpdateDividerClasses(divider, orientation, length);
    if (orientation === "vertical") {
        var height = calculateHeight(length, vertical_height);
        setDividerHeight(divider, height);
    }
}
function resetAndUpdateDividerClasses(divider, orientation, length) {
    divider.nativeElement.classList.remove("full-width", "middle-inset", "horizontal-divider", "vertical-divider", "inset");
    divider.nativeElement.classList.add("".concat(orientation, "-divider"), length);
}
function calculateHeight(length, vertical_height) {
    switch (length) {
        case "full-width":
            return vertical_height;
        case "inset":
            return vertical_height - 16;
        case "middle-inset":
            return vertical_height - 32;
        default:
            return vertical_height;
    }
}
function setDividerHeight(divider, height) {
    divider.nativeElement.style.setProperty("height", "".concat(height, "px"));
}
